using Microsoft.Xna.Framework;
using MonoGame.FourEngine;

namespace Raycast.Win32.Entities
{
    partial class Enemy
    {
        protected class IdleState : EnemyStateBase
        {
            public IdleState(Enemy enemy) : base(enemy)
            {
            }

            public override void OnEnter()
            {
                Enemy.Frame = new Point(Enemy.Frame.X, Enemy.AnimationMap[EnemyState.Idle].Start);
            }

            public override void OnUpdate(UpdateEventArgs args)
            {
                if (Enemy.Scene == null) return;

                Enemy.VerticalPosition = Enemy.MinVerticalPosition;
            }
        }
    }
}